/**************************************************
                    Favourite page
**************************************************/
.favourite_product {
    position: relative;
    margin-bottom: 30px;
    @media #{$query1199} {
        max-width: 400px;
        margin-left: auto;
        margin-right: auto;
    }
    figure {
        margin-bottom: 0px;
    }
    .overlay_content {
        position: absolute;
        left: 0px;
        top: 0px;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.5);
        padding: 30px;
        @media #{$query1199} {
            padding: 20px;
        }
    }
    .title, .price, .features {
        color: $white;
    }
    .title {
        font-weight: 700;
        @media #{$query1199} {
            font-size: 22px;
        }
    }
    .price {
        font-weight: 700;
        margin: 15px 0px;
        font-size: 16px;
        @media #{$query1199} {
            margin: 10px 0px;
        }
    }
    .features {
        list-style: none;
        padding: 0px;
        margin: 0px;
    }
    .favourite_btns {
        position: absolute;
        right: 0px;
        top: 0px;
        z-index: 2;
        width: 150px;
        height: 50px;

        a {
            position: absolute;
            right: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            display: block;
            color: #fff;
            text-align: center;
            padding: 13px 0; 
            text-decoration: none;
            i {
                display: inline-block;
                margin-right: 3px;
            }

            &.fav_remove {
                background-color: $pink;

                &:hover {
                    background-color: $black;    
                }
            }
            &.undo_remove {
                background-color: $black; 
                &:hover {
                    background-color: $pink;    
                }
            }
        }
    }
}
.read_more {
    width: 60px;
    height: 60px;
    background: $white;
    position: absolute;
    right: 0px;
    bottom: 0px;
    overflow: hidden;

    &.black {
        background: $black;
        .icon-right {
            background: {
                position: 42px 0;
            }
        }
    }

    &:after {
        width: 100%;
        height: 100%;
        position: absolute;
        left: -100%;
        top: 0px;
        content: '';
        background: $pink;
        @extend %transition;
    }

    &:hover {
        &:after {
            left: 0px;
        }

        .icon-right {
            background: {
                position: 42px 0;
            }
        }
    }
}
.icon-right {
    width: 20px;
    height: 15px;
    display: block;
    background: {
        size: cover;
        image: url('../img/arrow2.png');
        position: 20px 0;
    }
    position: relative;
    z-index: 2;
    @extend %transition;
}